diff -cr pgsql-orig/src/interfaces/odbc/info.c pgsql/src/interfaces/odbc/info.c
*** pgsql-orig/src/interfaces/odbc/info.c	Sat Feb 10 07:11:27 2001
--- pgsql/src/interfaces/odbc/info.c	Sat Feb 10 22:42:14 2001
***************
*** 201,209 ****
  
  			/*
  			 * The ODBC spec wants ##.##.#### ...whatever... so prepend
! 			 * the driver
  			 */
- 			/* version number to the dbms version string */
  			sprintf(tmp, "%s %s", POSTGRESDRIVERVERSION, conn->pg_version);
  			p = tmp;
  			break;
--- 201,208 ----
  
  			/*
  			 * The ODBC spec wants ##.##.#### ...whatever... so prepend
! 			 * the driver version number to the dbms version string 
  			 */
  			sprintf(tmp, "%s %s", POSTGRESDRIVERVERSION, conn->pg_version);
  			p = tmp;
  			break;
diff -cr pgsql-orig/src/interfaces/odbc/psqlodbc.h pgsql/src/interfaces/odbc/psqlodbc.h
*** pgsql-orig/src/interfaces/odbc/psqlodbc.h	Sat Feb 10 07:01:19 2001
--- pgsql/src/interfaces/odbc/psqlodbc.h	Sat Feb 10 22:44:01 2001
***************
*** 42,48 ****
  #define DRIVERNAME			   "PostgreSQL ODBC"
  #define DBMS_NAME			   "PostgreSQL"
  
! #define POSTGRESDRIVERVERSION  "07.01.0002"
  
  #ifdef WIN32
  #define DRIVER_FILE_NAME		"PSQLODBC.DLL"
--- 42,48 ----
  #define DRIVERNAME			   "PostgreSQL ODBC"
  #define DBMS_NAME			   "PostgreSQL"
  
! #define POSTGRESDRIVERVERSION  "07.01.0003"
  
  #ifdef WIN32
  #define DRIVER_FILE_NAME		"PSQLODBC.DLL"
diff -cr pgsql-orig/src/interfaces/odbc/psqlodbc.rc pgsql/src/interfaces/odbc/psqlodbc.rc
*** pgsql-orig/src/interfaces/odbc/psqlodbc.rc	Sat Feb 10 16:25:10 2001
--- pgsql/src/interfaces/odbc/psqlodbc.rc	Sat Feb 10 22:43:39 2001
***************
*** 133,139 ****
      PUSHBUTTON      "Defaults",IDDEFAULTS,185,205,50,15
  END
  
! DLG_OPTIONS_DS DIALOG DISCARDABLE  0, 0, 267, 161
  STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
  CAPTION "Advanced Options (DataSource)"
  FONT 8, "MS Sans Serif"
--- 133,139 ----
      PUSHBUTTON      "Defaults",IDDEFAULTS,185,205,50,15
  END
  
! DLG_OPTIONS_DS DIALOG DISCARDABLE  0, 0, 267, 125
  STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
  CAPTION "Advanced Options (DataSource)"
  FONT 8, "MS Sans Serif"
***************
*** 144,159 ****
                      BS_AUTOCHECKBOX | WS_TABSTOP,130,10,85,10
      CONTROL         "Show System &Tables",DS_SHOWSYSTEMTABLES,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,25,25,85,10
!     GROUPBOX        "OID Options",IDC_STATIC,15,70,180,25
      CONTROL         "Show &Column",DS_SHOWOIDCOLUMN,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,25,81,59,10
      CONTROL         "Fake &Index",DS_FAKEOIDINDEX,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,115,81,51,10
!     RTEXT           "Connect &Settings:",IDC_STATIC,10,105,35,25
!     EDITTEXT        DS_CONNSETTINGS,50,105,200,20,ES_MULTILINE | 
                      ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "OK",IDOK,71,135,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,146,135,50,14
  END
  
  
--- 144,159 ----
                      BS_AUTOCHECKBOX | WS_TABSTOP,130,10,85,10
      CONTROL         "Show System &Tables",DS_SHOWSYSTEMTABLES,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,25,25,85,10
!     GROUPBOX        "OID Options",IDC_STATIC,39,41,180,25
      CONTROL         "Show &Column",DS_SHOWOIDCOLUMN,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,62,51,59,10
      CONTROL         "Fake &Index",DS_FAKEOIDINDEX,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,151,51,51,10
!     RTEXT           "Connect &Settings:",IDC_STATIC,11,73,35,25
!     EDITTEXT        DS_CONNSETTINGS,49,73,200,20,ES_MULTILINE | 
                      ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "OK",IDOK,71,103,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,145,103,50,14
  END
  
  
***************
*** 184,190 ****
          RIGHTMARGIN, 260
          VERTGUIDE, 55
          TOPMARGIN, 7
!         BOTTOMMARGIN, 154
      END
  END
  #endif    // APSTUDIO_INVOKED
--- 184,190 ----
          RIGHTMARGIN, 260
          VERTGUIDE, 55
          TOPMARGIN, 7
!         BOTTOMMARGIN, 118
      END
  END
  #endif    // APSTUDIO_INVOKED
***************
*** 197,204 ****
  //
  
  VS_VERSION_INFO VERSIONINFO
!  FILEVERSION 7,1,0,2
!  PRODUCTVERSION 7,1,0,2
   FILEFLAGSMASK 0x3L
  #ifdef _DEBUG
   FILEFLAGS 0x1L
--- 197,204 ----
  //
  
  VS_VERSION_INFO VERSIONINFO
!  FILEVERSION 7,1,0,3
!  PRODUCTVERSION 7,1,0,3
   FILEFLAGSMASK 0x3L
  #ifdef _DEBUG
   FILEFLAGS 0x1L
***************
*** 216,229 ****
              VALUE "Comments", "PostgreSQL ODBC driver\0"
              VALUE "CompanyName", "Insight Distribution Systems\0"
              VALUE "FileDescription", "PostgreSQL Driver\0"
!             VALUE "FileVersion", " 07.01.0002\0"
              VALUE "InternalName", "psqlodbc\0"
              VALUE "LegalCopyright", "\0"
              VALUE "LegalTrademarks", "ODBC(TM) is a trademark of Microsoft Corporation.  Microsoft® is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation.\0"
              VALUE "OriginalFilename", "psqlodbc.dll\0"
              VALUE "PrivateBuild", "\0"
              VALUE "ProductName", "Microsoft Open Database Connectivity\0"
!             VALUE "ProductVersion", " 07.01.0002\0"
              VALUE "SpecialBuild", "\0"
          END
      END
--- 216,229 ----
              VALUE "Comments", "PostgreSQL ODBC driver\0"
              VALUE "CompanyName", "Insight Distribution Systems\0"
              VALUE "FileDescription", "PostgreSQL Driver\0"
!             VALUE "FileVersion", " 07.01.0003\0"
              VALUE "InternalName", "psqlodbc\0"
              VALUE "LegalCopyright", "\0"
              VALUE "LegalTrademarks", "ODBC(TM) is a trademark of Microsoft Corporation.  Microsoft® is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation.\0"
              VALUE "OriginalFilename", "psqlodbc.dll\0"
              VALUE "PrivateBuild", "\0"
              VALUE "ProductName", "Microsoft Open Database Connectivity\0"
!             VALUE "ProductVersion", " 07.01.0003\0"
              VALUE "SpecialBuild", "\0"
          END
      END
diff -cr pgsql-orig/src/interfaces/odbc/resource.h pgsql/src/interfaces/odbc/resource.h
*** pgsql-orig/src/interfaces/odbc/resource.h	Sat Feb 10 07:01:19 2001
--- pgsql/src/interfaces/odbc/resource.h	Sat Feb 10 22:32:18 2001
***************
*** 1,60 ****
! /* {{NO_DEPENDENCIES}} */
! /* Microsoft Developer Studio generated include file. */
! /* Used by psqlodbc.rc */
! 
! #define IDS_BADDSN						1
! #define IDS_MSGTITLE					2
! #define DLG_OPTIONS_DRV					102
! #define DLG_OPTIONS_DS					103
! #define IDC_DSNAME						400
! #define IDC_DSNAMETEXT					401
! #define IDC_DESC						404
! #define IDC_SERVER						407
! #define IDC_DATABASE					408
! #define DLG_CONFIG						1001
! #define IDC_PORT						1002
! #define IDC_USER						1006
! #define IDC_PASSWORD					1009
! #define DS_READONLY						1011
! #define DS_SHOWOIDCOLUMN				1012
! #define DS_FAKEOIDINDEX					1013
! #define DRV_COMMLOG						1014
! #define IDC_DATASOURCE					1018
! #define DRV_OPTIMIZER					1019
! #define DS_CONNSETTINGS					1020
! #define IDC_DRIVER						1021
! #define DRV_CONNSETTINGS				1031
! #define DRV_UNIQUEINDEX					1032
! #define DRV_UNKNOWN_MAX					1035
! #define DRV_UNKNOWN_DONTKNOW			1036
! #define DRV_READONLY					1037
! #define IDC_DESCTEXT					1039
! #define DRV_MSG_LABEL					1040
! #define DRV_UNKNOWN_LONGEST				1041
! #define DRV_TEXT_LONGVARCHAR			1043
! #define DRV_UNKNOWNS_LONGVARCHAR		1044
! #define DRV_CACHE_SIZE					1045
! #define DRV_VARCHAR_SIZE				1046
! #define DRV_LONGVARCHAR_SIZE			1047
! #define IDDEFAULTS						1048
! #define DRV_USEDECLAREFETCH				1049
! #define DRV_BOOLS_CHAR					1050
! #define DS_SHOWSYSTEMTABLES				1051
! #define DRV_EXTRASYSTABLEPREFIXES		1051
! #define DS_ROWVERSIONING				1052
! #define DRV_PARSE						1052
! #define DRV_CANCELASFREESTMT			1053
! #define IDC_OPTIONS						1054
! #define DRV_KSQO						1055
! #define DS_PG64							1057
! 
! /* Next default values for new objects */
  
  #ifdef APSTUDIO_INVOKED
  #ifndef APSTUDIO_READONLY_SYMBOLS
! #define _APS_NEXT_RESOURCE_VALUE		104
! #define _APS_NEXT_COMMAND_VALUE			40001
! #define _APS_NEXT_CONTROL_VALUE			1060
! #define _APS_NEXT_SYMED_VALUE			101
  #endif
  #endif
--- 1,60 ----
! //{{NO_DEPENDENCIES}}
! // Microsoft Developer Studio generated include file.
! // Used by psqlodbc.rc
! //
! #define IDS_BADDSN                      1
! #define IDS_MSGTITLE                    2
! #define DLG_OPTIONS_DRV                 102
! #define DLG_OPTIONS_DS                  103
! #define IDC_DSNAME                      400
! #define IDC_DSNAMETEXT                  401
! #define IDC_DESC                        404
! #define IDC_SERVER                      407
! #define IDC_DATABASE                    408
! #define DLG_CONFIG                      1001
! #define IDC_PORT                        1002
! #define IDC_USER                        1006
! #define IDC_PASSWORD                    1009
! #define DS_READONLY                     1011
! #define DS_SHOWOIDCOLUMN                1012
! #define DS_FAKEOIDINDEX                 1013
! #define DRV_COMMLOG                     1014
! #define IDC_DATASOURCE                  1018
! #define DRV_OPTIMIZER                   1019
! #define DS_CONNSETTINGS                 1020
! #define IDC_DRIVER                      1021
! #define DRV_CONNSETTINGS                1031
! #define DRV_UNIQUEINDEX                 1032
! #define DRV_UNKNOWN_MAX                 1035
! #define DRV_UNKNOWN_DONTKNOW            1036
! #define DRV_READONLY                    1037
! #define IDC_DESCTEXT                    1039
! #define DRV_MSG_LABEL                   1040
! #define DRV_UNKNOWN_LONGEST             1041
! #define DRV_TEXT_LONGVARCHAR            1043
! #define DRV_UNKNOWNS_LONGVARCHAR        1044
! #define DRV_CACHE_SIZE                  1045
! #define DRV_VARCHAR_SIZE                1046
! #define DRV_LONGVARCHAR_SIZE            1047
! #define IDDEFAULTS                      1048
! #define DRV_USEDECLAREFETCH             1049
! #define DRV_BOOLS_CHAR                  1050
! #define DS_SHOWSYSTEMTABLES             1051
! #define DRV_EXTRASYSTABLEPREFIXES       1051
! #define DS_ROWVERSIONING                1052
! #define DRV_PARSE                       1052
! #define DRV_CANCELASFREESTMT            1053
! #define IDC_OPTIONS                     1054
! #define DRV_KSQO                        1055
! #define DS_PG64                         1057
  
+ // Next default values for new objects
+ // 
  #ifdef APSTUDIO_INVOKED
  #ifndef APSTUDIO_READONLY_SYMBOLS
! #define _APS_NEXT_RESOURCE_VALUE        104
! #define _APS_NEXT_COMMAND_VALUE         40001
! #define _APS_NEXT_CONTROL_VALUE         1060
! #define _APS_NEXT_SYMED_VALUE           101
  #endif
  #endif
